PHP

Version: 
5.4.x-5.5.x-5.6.x
Release date: 
Monday, 10 August, 2015

License:

Interface:

Authors/Port authors:

PHP is a widely-used general-purpose scripting language that is especially suited for Web development and can be embedded into HTML.

Latest versions work only with Apache 2.2.x.

This software is distributed as compressed package. You have to download and manually install it; if prerequisites are required, you will have to manually install them too.

Manual installation

Program is distributed as ZIP package: download to temporary directory and unpack to destination folder. See below for download link(s).

Following ones are the download links for manual installation:

PHP v. 5.4.44 (10/8/2015, Paul Smedley (Smedles))
 www.dropbox.com/s/ep67whv98e16ldt/php-5.4.44-os2-20150810.zip?dl=1
PHP v. 5.5.28 (10/8/2015, Paul Smedley (Smedles))
 www.dropbox.com/s/jvj8i7wk2mab1oc/php-5.5.28-os2-20150810.zip?dl=1
PHP v. 5.6.12 (10/8/2015, Paul Smedley (Smedles))
 dl.dropboxusercontent.com/u/76425158/php-5.6.12-os2-20150810.zip
Pdflib for PHP 5.4.x v. 2.1.9 (10/8/2015, Paul Smedley (Smedles))
 www.dropbox.com/s/cigofbljv4llr14/pdflib-2.1.9-os2-php5.4.zip?dl=0
Pdflib for PHP 5.5.x v. 2.1.9 (10/8/2015, Paul Smedley (Smedles))
 www.dropbox.com/s/tuepximwvu3sdnh/pdflib-2.1.9-os2-php-5.5.zip?dl=1
Pdflib for PHP 5.6.x v. 2.1.9 (10/8/2015, Paul Smedley (Smedles))
 dl.dropboxusercontent.com/u/76425158/pdflib-2.1.9-os2-php5.6.zip
PHP v. 4.3.10 (18/12/2004) Readme/What's new
PHP4 OS/2 Port - v4.3.10 =============================================================================== This archive contains a port of PHP4 for OS/2. As well as the core php4.dll there are - apache13/modphp4.dll : loadable module for Apache v1.3 - apache13-eapi/modphp4.dll: loadable module for Apache v1.3 w/mod_ssl - apache20/modphp4.dll : loadable module for Apache v2.0 (requires 2.0.42+) - cgi/php.exe : Front end for using PHP4 as a CGI - php.exe : Front end for using PHP4 as a CLI (running non-web server scripts) To use any of these the core module, php4.dll, must be copied to a directory pointed to by your LIBPATH. If you just want to use it for Apache 2.0 it can be installed to the modules directory. There are also dynamic PHP extensions: - curl.dll : Curl allows you to connect and communicate to many different types of servers with many different types of protocols. See http://www.php.net/manual/en/ref.curl.php for details. - domxml.dll : allows you to operate on an XML document with the DOM API. - gd.dll : GD extension, supporting image manipulation functions as well as the FreeType v2.1.1 font library. - gettext.dll : gettext functions implement an NLS (Native Language Support) API which can be used to internationalize your PHP applications. http://www.php.net/manual/en/ref.gettext.php - mysql.dll : MySQL database access. - odbc.dll : Supports IBM DB2 via the odbc functions. - pdf.dll : Adobe PDF generation functions. - pgsql.dll : PostgreSQL database access. - mbstring.dll: Multi-byte string support. This build of PHP4 also contains these optional modules built into the core: - GDBM v1.7.3 - ZLib v1.1.4 - OpenSSL 0.9.7e : Adds a selection of functions from the OpenSSL library. See http://www.php.net/manual/en/ref.openssl.php And has the following optional features enabled: - FTP - XML - EXIF Use use any of the dynamic extensions you must add an "extension=" line to your php.ini file. You may also need to specify the directory where the extensions are installed. EG extension_dir=C:\Apps\php4\modules extension=gd.dll The php.ini file needs to be placed it in the directory pointed to by your ETC environment variable, usually \MPTN\ETC of your boot drive. This port is not been heavily tested so please use with caution & report any incorrect behaviour you encounter. The differences in the source used to build this binary on OS/2 are included in the file php-os2.patch. Using with Apache ================= To get PHP4 support, copy modphp4.dll to the libexec (1.3) or modules (2.0) directory under the Apache server root and add LoadModule php4_module modules/modphp4.dll to your httpd.conf. If you haven't used PHP4 before you will also need to add AddType application/x-httpd-php .php to the appropriate Apache config file (httpd.conf or srm.conf depending on whether you are using one config file or three). Comments and bug reports are welcome. Binary Release History ====================== 2004-12-18: v4.3.10 first build -- Brian Havard bjh@apache.org
 silk.apana.org.au/php/download/php4.3.10-os2.zip
Record updated last time on: 22/05/2018 - 16:22

GTranslate

English Dutch French German Korean Russian Swedish

Add new comment